%define ver_maj	2.1
%define ver_min 0

Name:           CUnit
Version:        %{ver_maj}.%{ver_min}
Release:        1%{?dist}
Summary:        A lightweight system for unit tests in C

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://cunit.sourceforge.net/
Source0:        http://downloads.sourceforge.net/cunit/CUnit-%{ver_maj}-%{ver_min}-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel

%description
CUnit is a lightweight system for writing, administering, and running unit
tests in C.  It provides C programmers a basic testing functionality with a
flexible variety of user interfaces.

CUnit is built as a static library which is linked with the user's testing
code. It uses a simple framework for building test structures, and provides
a rich set of assertions for testing common data types.  In addition,
several different interfaces are provided for running tests and reporting
results.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{ver_maj}-%{ver_min}


%build
%configure \
	--enable-curses \
	--disable-static
make %{?_smp_mflags}

# fix permissions on source files
find -type f -and -name \*.[hc] -exec chmod a-x {} \;
# fix permissions on documentation files
find doc/ -type f -exec chmod a-x {} \;
chmod a-x AUTHORS ChangeLog COPYING NEWS README TODO VERSION


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# remove /usr/doc/CUnit
%{__rm} -rf $RPM_BUILD_ROOT%{_prefix}/doc


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO VERSION
%{_libdir}/*.so.*
%{_datadir}/%{name}
%{_mandir}/*/%{name}*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO VERSION
%doc doc
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Wed May 28 2008 Peter Hanecak <hany@hany.sk> 2.1.0-1
- initial spec
